Notify API reference

Notify API · Approvals

get/v1/workspaces/{workspace_id}/approvalsAuth

List approval requests

Newest first; filter by `status` and `type`. Pass `next_cursor` as `cursor` until `has_more` is false.

Path parameters

workspace_id*string · uuid

Id of the workspace.

Query parameters

statusenum (5)

Only requests in this status.

typestring

Only this type key.

cursorstring

Opaque cursor for pagination: the `next_cursor` of the previous page.

limitinteger

Page size.

Response · 200 A page of requests.

data*array

Requests, newest first.

pagination*object

The cursor for the next page.

Example

Request

GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/approvals
Authorization: Bearer YOUR_TOKEN

Response

{
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "type": "deploy.approval",
      "status": {},
      "title": "string",
      "body": "string",
      "requester": {},
      "approvers": [
        "string"
      ],
      "metadata": {},
      "expires_at": "2026-01-01T00:00:00.000Z",
      "decided_by": "string",
      "reason": "string",
      "decided_via": {},
      "decided_at": "2026-01-01T00:00:00.000Z",
      "notification_id": "00000000-0000-0000-0000-000000000000",
      "created_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "pagination": {}
}